// Emprunteur.h: interface for the Emprunteur class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EMPRUNTEUR_H__10E72EB7_8FE5_4C19_BCF0_C0AF52BAA1CF__INCLUDED_)
#define AFX_EMPRUNTEUR_H__10E72EB7_8FE5_4C19_BCF0_C0AF52BAA1CF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Emprunt.h"
#include "Livre.h"

class Emprunteur  
{
protected:
	CString    nom;
	CString    prenom;
	int        no;
	CString    rtype;
    CString    rnom;
	int        cp;
	CString    ville;
	int        nombreEmprunt;
	int        maxEmprunt;
	Emprunt *  emprunts[10];

public:
	Emprunteur(CString _nom, CString _prenom, int _no, CString _rtype, CString _rnom,
		       int _cp, CString _ville );
	virtual ~Emprunteur();

	bool creerEmprunt(Livre * livre);
	bool autoriseEmprunt(void);
	bool retourLivre(Livre * livre);
	bool compareNom(CString cnom);

	CString getNom(void);

};

#endif // !defined(AFX_EMPRUNTEUR_H__10E72EB7_8FE5_4C19_BCF0_C0AF52BAA1CF__INCLUDED_)
